Subject: bug#14374: [O] bug#14374: Possibly incorrect custom :types

From: Daimrod <[email-masked]>
Date: Thu, 09 May 2013 10:06:43 +0200

Glenn Morris <[email-masked]> writes:
Hi Glenn,

Thanks for this detailled report.

May I ask how you did you tests? I can't find cus-test.el in my Emacs.

I've attached a diff patch where I fix some of this.

> Package: org-mode
>
> cus-test.el suggests the following variables may have incorrect
> custom :types. (There may be some false positives.)
> This refers to Org mode in current Emacs trunk.
>
> Eg, org-footnote-auto-adjust does not have "nil" as an option.

> org-refile-target-verify-function
It's a function with no function by default and I don't know how to fix
it. Should we use '(choice function nil)?

> org-icalendar-combined-description
Seems fine to me.

> org-link-frame-setup
Patched (I've only interferred the functions name could VM users
confirmed that they are correct).

> org-export-with-archived-trees
Patched.

> org-bibtex-prefix
It's suppose to be a string and after a quick look at the code I think
it's safe to set it to nil but I'm not sure.

> org-log-note-headings
Patched.

> org-structure-template-alist
Patched.

> org-export-html-postamble-format
I think it's named `org-html-postamble-format' in master. The docstring
and the type talks about an alist but the default value is not. I don't
know which one is correct (the default value or the description).

> org-get-priority-function
Same problem than `org-refile-target-verify-function'.

> org-export-odt-content-template-file
Now `org-odt-content-template-file', the type is a file but the default
value is nil. Should we use '(choice file nil)?

> org-export-latex-quotes
I couldn't find this variable in master.

> org-export-html-toplevel-hlevel
Now `org-html-toplevel-hlevel' and it doesn't seem to be wrong.

> org-agenda-ndays
The type is an integer but the default value is nil. Should we use
'(choice integer nil)?

I've just seen Carsten's mail so I'll stop here.

> org-export-initial-scope
> org-plantuml-jar-path
> org-export-blocks-witheld
> org-make-link-description-function
> org-export-html-postamble
> org-babel-lob-files
> org-agenda-export-html-style
> org-clock-heading-function
> org-show-notification-handler
> org-agenda-custom-commands
> org-beamer-outline-frame-options
> org-agenda-day-face-function
> org-use-fast-tag-selection
> org-export-docbook-xsl-fo-proc-command
> org-link-translation-function
> org-export-docbook-xslt-stylesheet
> org-export-docbook-xslt-proc-command
> org-columns-modify-value-for-display-function
> org-export-html-preamble-format
> org-agenda-auto-exclude-function
> org-export-docbook-doctype
> org-wl-namazu-default-index
> org-agenda-inactive-leader
> org-export-ascii-underline
> org-sparse-tree-default-date-type
> org-footnote-auto-adjust
> org-protocol-default-template-key

-- 
Daimrod/Greg